org.apache.maven.container

## Class ContainerUtils

- java.lang.Object
- - org.apache.maven.container.ContainerUtils

    public class ContainerUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ContainerUtils()`

### Method Summary

Methods
`static java.util.Set<java.lang.String>` `findChildComponentHints(java.lang.String role, PlexusContainer parent, PlexusContainer child)`
`static java.util.Map<java.lang.String,ComponentDescriptor>` `findChildComponents(java.lang.String role, PlexusContainer parent, PlexusContainer child)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerUtils

    public ContainerUtils()

### Method Detail

#### findChildComponentHints

    public static java.util.Set<java.lang.String> findChildComponentHints(java.lang.String role,
                                                          PlexusContainer parent,
                                                          PlexusContainer child)

#### findChildComponents

    public static java.util.Map<java.lang.String,ComponentDescriptor> findChildComponents(java.lang.String role,
                                                                          PlexusContainer parent,
                                                                          PlexusContainer child)